Bug Hunting Session
Bug 95492 - LibreOffice start center: icons too bright on macOS
Summary: LibreOffice start center: icons too bright on macOS
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.4.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisectRequest, regression
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2015-11-01 10:08 UTC by Emanuele Giusti
Modified: 2019-05-15 12:09 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
UI issue (405.19 KB, image/png)
2015-11-01 10:08 UTC, Emanuele Giusti
Details
Start Center Mac new (132.64 KB, image/tiff)
2015-11-03 17:22 UTC, Emanuele Giusti
Details
mac (left) vs linux (right) (10.82 KB, image/png)
2015-11-03 17:41 UTC, Yousuf Philips (jay) (retired)
Details
About dialog 5.1.0.3 (100.31 KB, image/tiff)
2016-02-16 08:21 UTC, Emanuele Giusti
Details
About LibreOfficeDev 5.2.0.0.beta2+ (127.14 KB, image/tiff)
2016-06-25 12:30 UTC, Emanuele Giusti
Details
About LibreOfficeDev 5.2.0.0.beta2+ (59.76 KB, image/jpeg)
2016-06-25 13:10 UTC, Emanuele Giusti
Details
About dialog 5.3.4.2 (75.74 KB, image/jpeg)
2017-07-08 11:42 UTC, Emanuele Giusti
Details
Current master 6.0alpha About screen for macOS (47.32 KB, image/png)
2017-07-28 07:28 UTC, Alex Thurgood
Details
About dialog 5.3.7.2 (69.93 KB, image/jpeg)
2017-12-10 17:57 UTC, Emanuele Giusti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuele Giusti 2015-11-01 10:08:15 UTC
Created attachment 120154 [details]
UI issue

Dear Technical assistence,

I've already written to the Design team, but I haven't receive an answer from them.

I think there are two little graphical issues in the Mac version of "LibreOffice 5.0.2.2.". Specifically in the start screen and in the "about" window. I attach four images to better explain what I mean. The Mac version seems to have an older image of the logo in the "about" window. In the start screen "the five" image doesn't have the transparency. Also the latest package installed by default in Ubuntu 15.10 has the right graphics.

I hope that even the Mac version could be upgrade to new graphics logo.

Best reguards. Greetings from Italy. E. G.
Comment 1 Alex Thurgood 2015-11-02 09:21:33 UTC
Confirming on LO 5022 OSX 10.11.1
Comment 2 Yousuf Philips (jay) (retired) 2015-11-02 15:44:04 UTC
That is quite strange with the about dialog. The logo can be found at ( http://cgit.freedesktop.org/libreoffice/core/plain/icon-themes/galaxy/brand/flat_logo.svg?h=master ). It baffles me how this could possibly happen on mac builds and is likely something wrong with those particular build boxes. Would be good to test if the appstore builds have this same problem as well, assuming these screenshots are from TDF builds.

About the start center, the logo ( http://cgit.freedesktop.org/libreoffice/core/plain/icon-themes/galaxy/sfx2/res/logo.png?h=master ) is being rendered on mac lighter than how the png file is, so not sure what is happening there.
Comment 3 Yousuf Philips (jay) (retired) 2015-11-02 16:10:53 UTC
Would be good to know if this is happening on regular screens or only hidpi screens.
Comment 4 Emanuele Giusti 2015-11-02 16:15:00 UTC
Hi Jay, thanks for the answer. Tomorrow I've donwload a pre-release version of LibreOffice 5.1 and in the "About" windows there is the new logo. So this "issue" is solved.

About the start center (center not screen, please excuse me), I really don't know it is rendered in a different way compared to Windows and Ubuntu. I think could help ask something about that to a member of the design team on the Mac.

P.S. My screen is not hidpi. The resolution is 1680x1050.
Comment 5 Emanuele Giusti 2015-11-02 16:16:43 UTC
*Today not tomorrow...
Comment 6 Alex Thurgood 2015-11-02 16:25:10 UTC
Yes, confirming that the new logo is indeed there in my daily master 5.1 builds
Comment 7 Yousuf Philips (jay) (retired) 2015-11-02 21:18:51 UTC
Can anyone check if the new logo is available in 5.0.3 or 5.0 daily

http://downloadarchive.documentfoundation.org/libreoffice/old/5.0.3.2/mac/x86_64/

http://dev-builds.libreoffice.org/daily/libreoffice-5-0/MacOSX-x86_64@49-TDF/current/

About the start center logo issue, could it be related to a particular version of OS X? What version are you running Emanuele? It should be noted that all images on the start screen are affected by the issue and not just the logo, but the logo is the most notable one.

(In reply to Emanuele Giusti from comment #4)
> P.S. My screen is not hidpi. The resolution is 1680x1050.

I asked this because the icons in the left pane all are smaller in your screenshot then they are in the windows screenshot.

@Alex: could you send in a screenshot?
Comment 8 Emanuele Giusti 2015-11-03 16:21:21 UTC
The 5.0.3 version has the old logo.
The 5.0 daily version has the new logo.

I'm running OS X 10.11.1 El Capitan, but even before the OS upgrade (with the latest Yosemite version) I've had the issue.

I could say that the icon on Windows are bigger than the respective on OS X because on Windows I used the function to adjust the resolution to see the text bigger.
Comment 9 Yousuf Philips (jay) (retired) 2015-11-03 16:58:04 UTC
(In reply to Emanuele Giusti from comment #8)
> The 5.0.3 version has the old logo.
> The 5.0 daily version has the new logo.

This sounds like a build time problem then. @Cloph: Any input on this?

> I could say that the icon on Windows are bigger than the respective on OS X
> because on Windows I used the function to adjust the resolution to see the
> text bigger.

No the icons in the OS X screenshot are not the correct size as the original icons in the repo, so there is something wrong with the screenshot. Can you provide another screenshot of just the start center, without any alterations of the size.
Comment 10 Emanuele Giusti 2015-11-03 17:22:13 UTC
Yes sure sorry, you're right. I remember that I resize the Mac screenshot. I attach another screenshot of the Start Center without modifications.
Comment 11 Emanuele Giusti 2015-11-03 17:22:49 UTC
Created attachment 120234 [details]
Start Center Mac new
Comment 12 Yousuf Philips (jay) (retired) 2015-11-03 17:41:49 UTC
Created attachment 120236 [details]
mac (left) vs linux (right)

(In reply to Emanuele Giusti from comment #11)
> Created attachment 120234 [details]
> Start Center Mac new

Thanks for the new screenshot as it just confirms what i mentioned in comment 2, that all the images are lighter than they should be.
Comment 13 Emanuele Giusti 2015-11-04 13:48:35 UTC
Ok. Do you think it is possible to visualize the "5 logo" in the same way it is visualized on GNU/Linux and Windows? Without that white background.
Comment 14 Yousuf Philips (jay) (retired) 2015-11-04 14:36:54 UTC
(In reply to Emanuele Giusti from comment #13)
> Ok. Do you think it is possible to visualize the "5 logo" in the same way it
> is visualized on GNU/Linux and Windows? Without that white background.

Nope there isnt any means of resolving this other than tracking down what is causing all images to be lighter than they should be.
Comment 15 steve -_- 2016-02-04 09:45:51 UTC
About screen is fine in
Version: 5.2.0.0.alpha0+
Build ID: 31ad2d7af585e8f35a645482a92bdc37a66e64ca
CPU Threads: 4; OS Version: Mac OS X 10.11.3; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-01-25_23:36:12
Locale: de-DE (de.UTF-8)

Remaining issues:

- logos in start center too bright (OS X only)
- empty start center showing the "5" has white shadow (OS X only, Linux does not have this shadow)
Comment 16 Emanuele Giusti 2016-02-16 08:21:08 UTC
Created attachment 122671 [details]
About dialog  5.1.0.3

Release version of  5.1.0.3 still has the bug.
Comment 17 Emanuele Giusti 2016-02-16 08:21:19 UTC
Release version of  5.1.0.3 still has the bug.
Comment 18 Emanuele Giusti 2016-06-25 12:30:35 UTC
Created attachment 125899 [details]
About LibreOfficeDev 5.2.0.0.beta2+

I upload this conversation only because I noticed that in every development version of LibreOffice graphics in the About windows is right, but in the final stable release it change again in the old graphics. Why could it possible?
Comment 19 steve -_- 2016-06-25 12:43:51 UTC
@Emanuele for images on the web please use jpeg or png. tiff is complicated and many browser will not display that image, so devs / qa / other users will have to download to display the image.
Comment 20 Emanuele Giusti 2016-06-25 13:08:58 UTC
Thank you Steve. Sure, I re-upload it right now.
Comment 21 Emanuele Giusti 2016-06-25 13:10:14 UTC
Created attachment 125900 [details]
About LibreOfficeDev 5.2.0.0.beta2+

I upload this conversation only because I noticed that in every development version of LibreOffice graphics in the About windows is right, but in the final stable release it change again in the old graphics. How could it possible?
Comment 22 steve -_- 2016-06-25 13:17:36 UTC
perfect, thx

emanuele: what do you mean that 5.2.0.2 and dev about graphics differ? when I compare your screenshot with what I see in one of the last nightly builds for osx, about looks identical.
Comment 23 Emanuele Giusti 2016-06-26 12:04:07 UTC
Hi Steve, I'll try to explain what I mean in the best way I can do it.

I've opened this bug because I had noticed that, since the introduction of LibreOffice 5's new graphic, there are some UI issues in the Mac version of the app. In particular in the "About" window and in the "Start center" window.

I speak always about: 

-All versions from the TDF
-All versions Mac x86-64
-All versions ENG (but it seems to be not relevant)

There are 3 type of LO builds:

-release
-pre-release
-daily (non master and master)

Logo issue in the About window:

LibreOffice 5.0.2.2 release: old logo (confirmed by Alex)
LibreOffice 5.1 daily master: new logo (confirmed by Alex)
5.0.3 release: old logo 
5.0 daily: new logo
5.2.0.0.alpha0+: new logo
5.1.0.3 release: old logo
5.2.0.0.beta2+: new logo

It seems that during the passage among development versions (pre-release and daily) and the stable one, there's something that invert the new logo into the old one. I really don't know how could it be and I really don't know how could it be solved. My only one exam about the principle of coding in C/C++ doesn't help me in the development process of LO. I'm in the localization team and I'm happy about that, but that's it. And all of this is about the "About window" bug, but there's also the "Start screen" issue.
Comment 24 Emanuele Giusti 2016-06-26 12:08:54 UTC
It's very frustrating, in particular for a Mac user, this kind of bug. Do you think there's a way to solve those?
Comment 25 Christian Lohmaier 2016-07-01 20:09:45 UTC
seems you're using old about image in branding....
Comment 26 Adolfo Jayme 2017-07-07 21:54:38 UTC
I just removed the absurd “5” logo from the Start Center. I don’t really understand why marketing thought it was a good idea. So there should be no problem with it anymore due to changing color profiles.

https://github.com/LibreOffice/core/commit/e044a3158e888ed2f6f047f2723cd5ffa3a0f4f8
Comment 27 Emanuele Giusti 2017-07-08 11:42:56 UTC
Created attachment 134547 [details]
About dialog 5.3.4.2

Still remain the "About window logo" mystery.
Comment 28 Emanuele Giusti 2017-07-08 11:44:39 UTC
Meantime I'd like to see the change of the "5" logo in the next version.
Comment 29 Adolfo Jayme 2017-07-09 00:15:17 UTC
I think something is wrong in your profile; we aren’t definitely shipping that old asset. Please try with a fresh profile and/or Safe Mode.
Comment 30 Emanuele Giusti 2017-07-10 19:17:47 UTC
I think trying safe mode couldn't be the right direction to solve the problem. Should I run always LibreOffice in safe mode if it works? I can try changing profile when I'll have a little bit time. However I can say to you that I can see old logo both on my MacBook Pro running Sierra and on my iMac running Yosemite. Same thing on a friend's different MacBook Pro model running Sierra. Other users in the comments below have confirmed the same thing. Do you have a Mac to see if you have the old lodo instead of the new one? Thanks for your support.
Comment 31 Adolfo Jayme 2017-07-15 14:00:06 UTC
I asked you to try Safe Mode as a way to DEBUG the problem and discard the possibility of any corruption in your profile, not as if it were a permanent solution.

See https://wiki.documentfoundation.org/UserProfile
Comment 32 Emanuele Giusti 2017-07-27 15:05:52 UTC
OK Adolfo I followed exactly all the instructions in your link. LibreOffice 5.3.4.2. Always the same result: the old logo is always there. I also created a virtual machine with El Capitan and Sierra and I installed LibreOffice for the first time: the old logo is always there.
Comment 33 Alex Thurgood 2017-07-28 07:17:09 UTC
(In reply to Emanuele Giusti from comment #27)
> Created attachment 134547 [details]
> About dialog 5.3.4.2
> 
> Still remain the "About window logo" mystery.

CONFIRMING
Comment 34 Alex Thurgood 2017-07-28 07:18:27 UTC
(In reply to Alex Thurgood from comment #33)
> (In reply to Emanuele Giusti from comment #27)
> > Created attachment 134547 [details]
> > About dialog 5.3.4.2
> > 
> > Still remain the "About window logo" mystery.
> 
> CONFIRMING

I can reproduce this on 

Version: 5.3.4.2
Build ID: f82d347ccc0be322489bf7da61d7e4ad13fe2ff3
Threads CPU : 4; Version de l'OS :Mac OS X 10.12.6; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 35 Alex Thurgood 2017-07-28 07:23:08 UTC
Restarting LO5342 in Safe Mode briefly shows:

- the current logo as the application is loading 
- the StartCenter displays a white 5 on a green background

- however, the About dialog still shows the OLD logo...
Comment 36 Alex Thurgood 2017-07-28 07:25:22 UTC
Version: 5.4.0.3
Build ID: 92c2794a7c181ba4c1c5053618179937228ed1fb
Threads CPU : 4; OS : Mac OS X 10.12.6; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group


show the current logo (white 5/ green background)
Comment 37 Alex Thurgood 2017-07-28 07:27:17 UTC
Current master 6.0alpha shows the attached screenshot
Comment 38 Alex Thurgood 2017-07-28 07:28:03 UTC
Created attachment 134924 [details]
Current master 6.0alpha About screen for macOS
Comment 39 Emanuele Giusti 2017-07-28 08:00:25 UTC
I can confirm everything written by Alex that I thanks. When I tried safe mode:

- the current logo as the application is loading 
- the StartCenter displays a white 5 on a green background

- however, the About dialog still shows the OLD logo...

Moreover, as I've written before, every development or testing version (both pre-release and daily, in turn both master and not master) display the current new logo in the About window, but every release version switch back to the old one. What can happen during the release process that the old logo reappears?
Comment 40 Emanuele Giusti 2017-12-10 17:57:08 UTC
Created attachment 138348 [details]
About dialog 5.3.7.2

LibreOffice 5.3.7.2 (release) seems to have solved the problem in the About dialog.
Comment 41 steve -_- 2017-12-18 08:42:51 UTC
updating this bug to reflect persisting issues.
About is solved as mentioned by emanuele.
The Start Center image is also solved, also not nicely aliged and sitting much to close on top of the text. And the image looks pixelated. (screenshot attached).

Remaining:
The icons in start center are still lighter when directly compared to linux (see " mac (left) vs linux (right) " screenshot by jay).

Tested with Version: 6.1.0.0.alpha0+
Build ID: 152c79ee2be2374334202dc738a8f011e47845c7
CPU threads: 4; OS: Mac OS X 10.13.2; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-12-18_01:36:41
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 42 steve -_- 2017-12-18 08:47:43 UTC
I think the no documents in start center view should be handled in a new bug, the original issue is solved in master and no longer persisting.
Comment 43 QA Administrators 2018-12-19 03:51:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug